# Method: apps.domainMappings.create

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#body.aspect)
- [DomainOverrideStrategy](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#DomainOverrideStrategy)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#try-it)

Maps a domain to an application. A user must be authorized to administer a domain in order to map it to an application. For a list of available authorized domains, see [`AuthorizedDomains.ListAuthorizedDomains`]().

### HTTP request

`POST https://appengine.googleapis.com/v1/{parent=apps/*}/domainMappings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Name of the parent Application resource. Example: `apps/myapp`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `appengine.applications.update` |

### Query parameters

| Parameters ||
|---|---|
| `overrideStrategy` | ``enum (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings/create#DomainOverrideStrategy`)`` Whether the domain creation should override any existing mappings for this domain. By default, overrides are rejected. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.domainMappings#DomainMapping`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## DomainOverrideStrategy

Override strategy for mutating an existing mapping.

| Enums ||
|---|---|
| `UNSPECIFIED_DOMAIN_OVERRIDE_STRATEGY` | Strategy unspecified. Defaults to `STRICT`. |
| `STRICT` | Overrides not allowed. If a mapping already exists for the specified domain, the request will return an ALREADY_EXISTS (409). |
| `OVERRIDE` | Overrides allowed. If a mapping already exists for the specified domain, the request will overwrite it. Note that this might stop another Google product from serving. For example, if the domain is mapped to another App Engine application, that app will no longer serve from that domain. |